Subject: Re: bug#20600: 24.5.3: add-hook - wrong arguments error

From: Artur Malabarba <[email-masked]>
Date: Mon, 18 May 2015 16:38:42 +0100

> To tell you the truth, I don't see the problem.  Is the problem the
> need to specify a couple of arguments that will be left unused when
> the function is called?  If so, we do it all over the place; we even
> have a special convention for that.

I don't see a problem either, I'm just suggesting an improvement on run-hooks.
The improvement would reduce the number of times you have to define a
wrapper around a function just to use it in a hook, by just not
passing to the function more arguments than it accepts.

Although, to be honest, I don't know how often that would be useful.
Even in the case originally mentioned above it would actually *not*
useful, because `save-buffer` *does* take an optional argument so the
wrapper around it would still be necessary.